---
name: Bug report
about: Create a report to help us improve SingularityCE
title: ''
labels: bug
assignees: ''

---

**Before you report an issue...**

- [ ] Have you searched for a duplicate report?
- [ ] Have you replicated the problem [on the latest release](https://github.com/sylabs/singularity/releases)?
- [ ] Have you checked the [latest documentation](https://sylabs.io/docs/)?
- [ ] Are you using an up-to-date system?

Only issues that can be replicated on the latest release, or development branch, of SingularityCE will be investigated and fixed. The open source project does not maintain long-term stable branches or fix bugs in prior versions. If you require LTS support then please see [the Sylabs website](https://sylabs.io/singularity-pro/).


**Version of Singularity**

What version of Singularity are you using? Run:

```
$ singularity --version
```

**Describe the bug**

A clear and concise description of what the bug is.

**To Reproduce**

Steps to reproduce the behavior:

**Expected behavior**

A clear and concise description of what you expected to happen.

**OS / Linux Distribution**

Which Linux distribution are you using? Is it up-to-date?
```
$ cat /etc/os-release
```

**Installation Method**

Write here how you installed SingularityCE. Eg. RPM from GitHub / EPEL, compiled from source.

**Additional context**

Anything else which might be relevant. E.g. if the bug only occurs on a specific filesystem, or kernel version etc.
